Collect Pure Storage logs
This document explains how to ingest Pure Storage logs to Google Security Operations using the Bindplane agent.
Pure Storage provides all-flash enterprise storage arrays that generate audit, performance, and system event logs. The FlashArray and FlashBlade platforms support native syslog forwarding of system events, audit trails, and operational alerts. Pure Storage arrays can be configured to forward syslog using the Purity GUI, CLI, or REST API.
Before you begin
Make sure you have the following prerequisites:
- A Google SecOps instance
- Windows Server 2016 or later, or Linux host with
systemd - Network connectivity between the Bindplane agent and Pure Storage FlashArray
- If running behind a proxy, ensure firewall ports are open per the Bindplane agent requirements
- Privileged access to the Pure Storage FlashArray or FlashBlade management interface
Get Google SecOps ingestion authentication file
- Sign in to the Google SecOps console.
- Go to SIEM Settings > Collection Agents.
- Download the Ingestion Authentication File.
Save the file securely on the system where Bindplane will be installed.
Get Google SecOps customer ID
- Sign in to the Google SecOps console.
- Go to SIEM Settings > Profile.
Copy and save the Customer ID from the Organization Details section.
Install the Bindplane agent
Install the Bindplane agent on your Windows or Linux operating system according to the following instructions.
Windows installation
- Open Command Prompt or PowerShell as an administrator.
Run the following command:
msiexec /i "https://github.com/observIQ/bindplane-agent/releases/latest/download/observiq-otel-collector.msi" /quietWait for the installation to complete.
Verify the installation by running:
sc query observiq-otel-collectorThe service should show as RUNNING.
Linux installation
- Open a terminal with root or sudo privileges.
Run the following command:
sudo sh -c "$(curl -fsSlL https://github.com/observiq/bindplane-agent/releases/latest/download/install_unix.sh)" install_unix.shWait for the installation to complete.
Verify the installation by running:
sudo systemctl status observiq-otel-collectorThe service should show as active (running).
Additional installation resources
For additional installation options and troubleshooting, see the Bindplane agent installation guide.
Configure the Bindplane agent to ingest syslog and send to Google SecOps
Locate the configuration file
Linux:
sudo nano /opt/observiq-otel-collector/config.yamlWindows:
notepad "C:\Program Files\observIQ OpenTelemetry Collector\config.yaml"
Edit the configuration file
Replace the entire contents of
config.yamlwith the following configuration:receivers: udplog: listen_address: "0.0.0.0:514" exporters: chronicle/pure_storage: compression: gzip creds_file_path: '/etc/bindplane-agent/ingestion-auth.json' customer_id: '<customer_id>' endpoint: malachiteingestion-pa.googleapis.com log_type: PURE_STORAGE raw_log_field: body ingestion_labels: env: production service: pipelines: logs/pure_to_chronicle: receivers: - udplog exporters: - chronicle/pure_storage
Configuration parameters
Replace the following placeholders:
Receiver configuration:
udplog: The receiver type based on protocol:udplogfor UDP syslogtcplogfor TCP syslog
0.0.0.0: IP address to listen on:0.0.0.0to listen on all interfaces (recommended)- Specific IP address to listen on one interface
514: Port number to listen on (for example,514,1514,6514)
Exporter configuration:
pure_storage: Descriptive name for the exportercreds_file_path: Full path to ingestion authentication file:- Linux:
/etc/bindplane-agent/ingestion-auth.json - Windows:
C:\Program Files\observIQ OpenTelemetry Collector\ingestion-auth.json
- Linux:
<customer_id>: Customer ID from the previous stependpoint: Regional endpoint URL:- US:
malachiteingestion-pa.googleapis.com - Europe:
europe-malachiteingestion-pa.googleapis.com - Asia:
asia-southeast1-malachiteingestion-pa.googleapis.com - See Regional Endpoints for complete list
- US:
PURE_STORAGE: Log type exactly as it appears in Chronicleingestion_labels: Optional labels in YAML format (for example,env: production)
Pipeline configuration:
pure_to_chronicle: Descriptive name for the pipeline
Save the configuration file
- After editing, save the file:
- Linux: Press
Ctrl+O, thenEnter, thenCtrl+X - Windows: Click File > Save
- Linux: Press
Restart the Bindplane agent to apply the changes
To restart the Bindplane agent in Linux, run the following command:
sudo systemctl restart observiq-otel-collectorVerify the service is running:
sudo systemctl status observiq-otel-collectorCheck logs for errors:
sudo journalctl -u observiq-otel-collector -f
To restart the Bindplane agent in Windows, choose one of the following options:
Command Prompt or PowerShell as administrator:
net stop observiq-otel-collector && net start observiq-otel-collectorServices console:
- Press
Win+R, typeservices.msc, and press Enter. - Locate observIQ OpenTelemetry Collector.
- Right-click and select Restart.
Verify the service is running:
sc query observiq-otel-collectorCheck logs for errors:
type "C:\Program Files\observIQ OpenTelemetry Collector\log\collector.log"
- Press
Configure Pure Storage syslog forwarding
Pure Storage FlashArray and FlashBlade arrays support native syslog forwarding. You can configure the array to send audit and system event logs to the Bindplane agent using the GUI, CLI, or REST API.
Option 1: Configure syslog using the Purity GUI
- Sign in to the Pure Storage FlashArray management interface.
- Navigate to Settings > System > Syslog Servers.
- Click Add (or the + icon) to add a new syslog target.
- In the Server field, enter the IP address of the Bindplane agent host.
- In the Port field, enter the port matching the Bindplane agent receiver configuration (default is UDP
514). - Click Save.
Option 2: Configure syslog using the Purity CLI
- Connect to the FlashArray via SSH.
Set the syslog server to the Bindplane agent host:
purearray setattr --syslogserver <bindplane_agent_ip>Verify the configuration:
purearray list --syslogserver
Option 3: Configure syslog using the REST API
Use the Pure Storage REST API (v2) to configure a syslog server programmatically:
curl -X POST "https://FLASHARRAY_HOST/api/2.x/syslog-servers" \ -H "Authorization: Bearer API_TOKEN" \ -H "Content-Type: application/json" \ -d '{"uri": "udp://<bindplane_agent_ip>:514", "name": "chronicle-syslog"}'
UDM mapping table
| Log Field | UDM Mapping | Logic |
|---|---|---|
| message_id, payload.effective_used, payload.total_extents, payload.legacy_effective_used, payload.legacy_total_extents, payload.data_reduction, payload.product, payload.array_id,signature, Method ,array_name, Controller, Interface, Module | additional.fields | Additional vendor-specific metadata |
| Description | metadata.description | Description of the event |
| timestamp | metadata.event_timestamp | Timestamp when the event occurred |
| metadata.event_type | Type of event | |
| Action | metadata.product_event_type | Product-specific event type |
| payload.version | metadata.product_version | Version of the product that generated the event |
| Sublocation | network.http.parsed_user_agent | Parsed user agent information |
| Sublocation | network.http.user_agent | User agent string from HTTP request |
| Session | network.session_id | Identifier for the network session |
| host_name | principal.asset.hostname | Hostname of the asset associated with the principal |
| Location | principal.asset.ip | IP address of the asset associated with the principal |
| host_name | principal.hostname | Hostname associated with the principal |
| Location | principal.ip | IP address of the principal |
| User | principal.user.userid | User ID of the principal |
| Result | security_result.summary | Summary of the security result or action |
| metadata.product_name | Name of the product that generated the event | |
| metadata.vendor_name | Name of the vendor that generated the event |
Need more help? Get answers from Community members and Google SecOps professionals.